import { IParkingTariff } from "#sch/models/interfaces/IParkingTariff";

export const iptOictTariffsDataTransformed: IParkingTariff[][] = [
    [
        {
            source: "isphk",
            maximum_duration_seconds: null,
            valid_from: new Date("2019-06-01T00:00:00.000Z"),
            valid_to: null,
            last_updated: new Date("2024-05-21T07:00:00.000Z"),
            free_of_charge: false,
            url_link_address: "https://isphk.cz/host.php",
            payment_mode: "pre_paid",
            payment_methods: ["mobile_app", "sms_payment", "card_offline", "coins_only"],
            charge_band_name: "tarif1",
            accepts_payment_card: true,
            accepts_cash: false,
            accepts_mobile_payment: true,
            accepts_litacka: false,
            charge: 5,
            charge_currency: "czk",
            charge_type: "other",
            charge_order_index: 0,
            charge_interval: 1800,
            max_iterations_of_charge: 2,
            min_iterations_of_charge: 1,
            periods_of_time: [
                {
                    day_in_week: "Mo",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Tu",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "We",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Th",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Fr",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Sa",
                    start: "08:00",
                    end: "15:59",
                    ph: "ph_off",
                },
            ],
            tariff_id: "d2e559f4-344e-57f4-a261-e057f89c0eb4",
        },
        {
            source: "isphk",
            maximum_duration_seconds: null,
            valid_from: new Date("2019-06-01T00:00:00.000Z"),
            valid_to: null,
            last_updated: new Date("2024-05-21T07:00:00.000Z"),
            free_of_charge: false,
            url_link_address: "https://isphk.cz/host.php",
            payment_mode: "pre_paid",
            payment_methods: ["mobile_app", "sms_payment", "card_offline", "coins_only"],
            charge_band_name: "tarif1",
            accepts_payment_card: true,
            accepts_cash: false,
            accepts_mobile_payment: true,
            accepts_litacka: false,
            charge: 10,
            charge_currency: "czk",
            charge_type: "other",
            charge_order_index: 1,
            charge_interval: 3600,
            max_iterations_of_charge: null,
            min_iterations_of_charge: 0,
            periods_of_time: [
                {
                    day_in_week: "Mo",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Tu",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "We",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Th",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Fr",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Sa",
                    start: "08:00",
                    end: "15:59",
                    ph: "ph_off",
                },
            ],
            tariff_id: "d2e559f4-344e-57f4-a261-e057f89c0eb4",
        },
    ],
    [
        {
            source: "isphk",
            maximum_duration_seconds: null,
            valid_from: new Date("2019-06-01T00:00:00.000Z"),
            valid_to: null,
            last_updated: new Date("2024-05-21T07:00:00.000Z"),
            free_of_charge: false,
            url_link_address: "https://isphk.cz/host.php",
            payment_mode: "pre_paid",
            payment_methods: ["mobile_app", "sms_payment", "card_offline", "coins_only"],
            charge_band_name: "tarif2",
            accepts_payment_card: true,
            accepts_cash: false,
            accepts_mobile_payment: true,
            accepts_litacka: false,
            charge: 5,
            charge_currency: "czk",
            charge_type: "other",
            charge_order_index: 0,
            charge_interval: 900,
            max_iterations_of_charge: 1,
            min_iterations_of_charge: 1,
            periods_of_time: [
                {
                    day_in_week: "Mo",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Tu",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "We",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Th",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Fr",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Sa",
                    start: "08:00",
                    end: "15:59",
                    ph: "ph_off",
                },
            ],
            tariff_id: "42a71bfa-b00c-5229-ad46-4eb97d818055",
        },
        {
            source: "isphk",
            maximum_duration_seconds: null,
            valid_from: new Date("2019-06-01T00:00:00.000Z"),
            valid_to: null,
            last_updated: new Date("2024-05-21T07:00:00.000Z"),
            free_of_charge: false,
            url_link_address: "https://isphk.cz/host.php",
            payment_mode: "pre_paid",
            payment_methods: ["mobile_app", "sms_payment", "card_offline", "coins_only"],
            charge_band_name: "tarif2",
            accepts_payment_card: true,
            accepts_cash: false,
            accepts_mobile_payment: true,
            accepts_litacka: false,
            charge: 15,
            charge_currency: "czk",
            charge_type: "other",
            charge_order_index: 1,
            charge_interval: 2700,
            max_iterations_of_charge: 1,
            min_iterations_of_charge: 0,
            periods_of_time: [
                {
                    day_in_week: "Mo",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Tu",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "We",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Th",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Fr",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Sa",
                    start: "08:00",
                    end: "15:59",
                    ph: "ph_off",
                },
            ],
            tariff_id: "42a71bfa-b00c-5229-ad46-4eb97d818055",
        },
        {
            source: "isphk",
            maximum_duration_seconds: null,
            valid_from: new Date("2019-06-01T00:00:00.000Z"),
            valid_to: null,
            last_updated: new Date("2024-05-21T07:00:00.000Z"),
            free_of_charge: false,
            url_link_address: "https://isphk.cz/host.php",
            payment_mode: "pre_paid",
            payment_methods: ["mobile_app", "sms_payment", "card_offline", "coins_only"],
            charge_band_name: "tarif2",
            accepts_payment_card: true,
            accepts_cash: false,
            accepts_mobile_payment: true,
            accepts_litacka: false,
            charge: 20,
            charge_currency: "czk",
            charge_type: "other",
            charge_order_index: 2,
            charge_interval: 3600,
            max_iterations_of_charge: null,
            min_iterations_of_charge: 0,
            periods_of_time: [
                {
                    day_in_week: "Mo",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Tu",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "We",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Th",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Fr",
                    start: "08:00",
                    end: "17:59",
                    ph: "ph_off",
                },
                {
                    day_in_week: "Sa",
                    start: "08:00",
                    end: "15:59",
                    ph: "ph_off",
                },
            ],
            tariff_id: "42a71bfa-b00c-5229-ad46-4eb97d818055",
        },
    ],
];
